Skip to main content
`Ctrl`+`K`

# EPSSetST

Associates a spectral transformation object to the eigensolver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetST(EPS eps,ST st)

Collective

## Input Parameters

- eps - the linear eigensolver context

- st - the spectral transformation object

## Note

Use `EPSGetST()` to retrieve the spectral transformation context at a later time (for example, to free it at the end of the computations).

## See Also

EPS: Eigenvalue Problem Solver, `EPSGetST()`

## Level

advanced

## Location

src/eps/interface/epsbasic.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages